﻿Imports System.Web.SessionState

Public Class Global_asax
	Inherits System.Web.HttpApplication

	'http://weblogs.asp.net/infinitiesloop/archive/2009/11/23/asp-net-4-0-scriptmanager-improvements.aspx

	Sub Application_Start(ByVal sender As Object, ByVal e As EventArgs)
		' Fires when the application is started

		' map a simple name to a path
		ScriptManager.ScriptResourceMapping.AddDefinition("jQuery", New ScriptResourceDefinition() With { _
		 .Path = "~/Scripts/jquery-1.9.1.min.js", _
		 .DebugPath = "~/Scripts/jquery-1.9.1.js", _
		 .CdnPath = "http://ajax.aspnetcdn.com/ajax/jquery/jquery-1.9.1.min.js", _
		 .CdnDebugPath = "http://ajax.aspnetcdn.com/ajax/jquery/jquery-1.9.1.js" _
		})
		ScriptManager.ScriptResourceMapping.AddDefinition("jQueryUI", New ScriptResourceDefinition() With { _
		 .Path = "~/Scripts/jquery-ui-1.10.2.min.js", _
		 .DebugPath = "~/Scripts/jquery-ui-1.10.2.js", _
		 .CdnPath = "http://ajax.aspnetcdn.com/ajax/jquery.ui/1.10.2/jquery-ui.js", _
		 .CdnDebugPath = "http://ajax.aspnetcdn.com/ajax/jquery.ui/1.10.2/jquery-ui.min.js" _
		})
	End Sub

	Sub Session_Start(ByVal sender As Object, ByVal e As EventArgs)
		' Fires when the session is started
	End Sub

	Sub Application_BeginRequest(ByVal sender As Object, ByVal e As EventArgs)
		' Fires at the beginning of each request
	End Sub

	Sub Application_AuthenticateRequest(ByVal sender As Object, ByVal e As EventArgs)
		' Fires upon attempting to authenticate the use
	End Sub

	Sub Application_Error(ByVal sender As Object, ByVal e As EventArgs)
		' Fires when an error occurs
	End Sub

	Sub Session_End(ByVal sender As Object, ByVal e As EventArgs)
		' Fires when the session ends
	End Sub

	Sub Application_End(ByVal sender As Object, ByVal e As EventArgs)
		' Fires when the application ends
	End Sub

End Class
