﻿<%@ Page Language="vb" AutoEventWireup="false" CodeBehind="Help.aspx.vb" Inherits="PinyinBible.Help" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
	<title></title>
	<link href="Content/themes/base/jquery.ui.all.css" rel="stylesheet" type="text/css" />
</head>
<body>
	<form id="form1" runat="server">
	<asp:ScriptManager ID="ScriptManager1" EnableCdn="true" runat="server">
		<Scripts>
			<asp:ScriptReference Name="jQuery" />
			<asp:ScriptReference Name="jQueryUI" />
		</Scripts>
	</asp:ScriptManager>
	<script type="text/javascript">
		$(function () {
			$("#accordion").accordion({ heightStyle: "content", active: false, collapsible: true });
			$("#devices").accordion({ heightStyle: "content", active: false, collapsible: true });
		});
	</script>
	<h1>
		NWTCompiler Help</h1>
	<div id="google_translate_element" style="position: absolute; top: 0; right: 0;">
	</div>
	<script type="text/javascript">
		function googleTranslateElementInit() {
			new google.translate.TranslateElement({
				pageLanguage: 'en'
			}, 'google_translate_element');
		}
	</script>
	<script type="text/javascript" src="//translate.google.com/translate_a/element.js?cb=googleTranslateElementInit"></script>
	<div id="accordion">
		<h3>
			What does NWTCompiler do?</h3>
		<div>
			<p>
				<a href="http://nwtcompiler.codeplex.com/releases">NWTCompiler</a> takes the bible
				from <a href="http://wol.jw.org/">http://wol.jw.org/</a> and converts it into a
				format that can be used without a web browser. Many software programs will allow
				the comparison of several translations on your screen at the same time with synchronized
				scrolling. Such a feature can be very useful for those serving in a foreign language
				and trying to reference two different translations at the same time.</p>
		</div>
		<h3>
			What file format does NWTComplier generate?</h3>
		<div>
			<p>
				NWTCompiler generates files in two different formats. One is for use with e-Sword
				v8 and older (the bbl file) and the other is for use with e-Sword v9 and newer (the
				bblx file).</p>
			<p>
				If you are a more advanced user you can open the bbl files using Microsoft Access.
				The bbl files are in MDB format (Access 2000). The bblx files are in sqlite format.</p>
		</div>
		<h3>
			How can I convert NWTCompiler files to other formats?</h3>
		<div>
			<p>
				If you would like another format to be supported by NWTCompiler natively, then please
				open an &quot;Issue&quot; at <a href="http://nwtcompiler.codeplex.com/workitem/list/basic">
					http://nwtcompiler.codeplex.com/workitem/list/basic</a>. Otherwise, you can
				convert the files generated by NWTCompiler into formats for use with other programs
				by using <a href="http://www.churchsw.org/simple-bible-reader-project">Simple Bible
					Reader / Converter</a>. This program doesn&#39;t need to be installed, and works
				really well in my testing. With this conversion program you can use a NWTCompiler-generated
				bible on just about any electronic device you can think of. There is even support
				for some feature phones!</p>
		</div>
		<h3>
			How can I used NWTCompiler files with such-and-such device?</h3>
		<div>
			<p>
				Based on recommendations I&#39;ve received you might try the following programs.
				If you want to make a suggestion please create an &quot;Issue&quot; <a href="http://nwtcompiler.codeplex.com/workitem/list/basic">
					here</a>.</p>
			<div id="devices">
				<h3>
					Android</h3>
				<div>
					<ul>
						<li><a href="http://mysword.info/">MySword</a></li>
					</ul>
				</div>
				<h3>
					Windows XP - Windows 8</h3>
				<div>
					<ul>
						<li><a href="http://www.e-sword.net/">e-Sword</a></li>
						<li><a href="http://www.crosswire.org/applications.jsp?section=Windows">SWORD</a> (Needs
							conversion to SWORD format.)</li>
					</ul>
				</div>
				<h3>
					Linux</h3>
				<div>
					<ul>
						<li><a href="http://www.crosswire.org/applications.jsp?section=Linux">SWORD</a> (Needs
							conversion to SWORD format.)</li></ul>
				</div>
				<h3>
					Mac OSX</h3>
				<div>
					<ul>
						<li><a href="http://www.crosswire.org/applications.jsp?section=Mac">SWORD</a> (Needs
							conversion to SWORD format.)</li></ul>
				</div>
				<h3>
					Palm</h3>
				<div>
					<ul>
						<li><a href="http://palmbibleplus.sourceforge.net/">Bible+</a> (Needs Conversion)<ul>
							<li>For conversion you&#39;ll need to first convert to a SWORD-compatible format and
								then from that to the Bible+ format using their converter which is called <a href="http://sourceforge.net/projects/palmbibleplus/files/zBibleConverter/YCH/">
									YCHBibleConverter</a> or the newer version (still in testing) <a href="http://sourceforge.net/projects/palmbibleplus/files/zBibleConverter/KW/">
										BibleConverter</a>. Instructions for this are available <a href="http://palmbibleplus.sourceforge.net/createbible.htm">
											here</a>.</li>
						</ul>
						</li>
					</ul>
				</div>
				<h3>
					Windows Mobile</h3>
				<div>
					<ul>
						<li><a href="http://swordreader.org/">SwordReader</a> (Needs conversion to SWORD format.)</li></ul>
				</div>
				<h3>
					iOS</h3>
				<div>
					<ul>
						<li><a href="http://itunes.apple.com/us/app/pocketsword/id341046078?mt=8">PocketSword</a>
							(Needs conversion to SWORD format.)</li></ul>
				</div>
			</div>
		</div>
		<h3>
			Where do I report a problem?</h3>
		<div>
			<p>
				There are two types of problems that can be reported. The first type is a problem
				with the text as it is extracted from <a href="http://wol.jw.org/">http://wol.jw.org/</a>,
				or the operation of NWTCompiler itself. For problems of that nature, please open
				an &quot;Issue&quot; <a href="http://nwtcompiler.codeplex.com/workitem/list/basic">here</a>.</p>
			<p>
				The second type of problem is one where you are having trouble using the files.
				For this type of problem I would suggest two things:</p>
			<ol>
				<li>open an &quot;Issue&quot; <a href="http://nwtcompiler.codeplex.com/workitem/list/basic">
					here</a> so that this documentation can be updated with the most common problems
					and their solutions</li>
				<li>post to the Yahoo Group &#39;<a href="http://tech.groups.yahoo.com/group/t-tools/">t-tools</a>&#39;
					with the nature of your problem that a community of users might be able to help
					you.</li></ol>
		</div>
		<h3>
			How can I help make this software even better?</h3>
		<div>
			<p>
				You can post to &#39;<a href="http://tech.groups.yahoo.com/group/t-tools-developer/">t-tools-developers</a>&#39;
				and offer whatever help you&#39;d like to provide.</p>
		</div>
		<h3>
			How do I add a new language from http://wol.jw.org/ to NWTCompiler?</h3>
		<div>
			<p>
				Just get the link to the index page of the bible language you want added (for example:
				<a href="http://m.wol.jw.org/en/wol/b/r1/lp-e/1/1">http://m.wol.jw.org/en/wol/b/r1/lp-e/1/1</a>)
				and include it in an &quot;Issue&quot; that you can create <a href="http://nwtcompiler.codeplex.com/workitem/list/basic">
					here</a>.</p>
		</div>
		<h3>
			Where do I report a problem with the pīnyīn translation?</h3>
		<div>
			<p>
				The pīnyīn translation is a special case because it is converted from the Simplified
				Chinese edition of the bible. The conversion was done by machine, but a &#39;corrections&#39;
				table is maintained to allow for altering of the machine-converted characters. The
				idea is to make sure that the pīnyīn version that NWTCompiler generates matches
				exactly with the printed version, and not with a dictionary or our memory.</p>
			<p>
				Please open an &quot;Issue&quot; <a href="http://nwtcompiler.codeplex.com/workitem/list/basic">
					here</a> so that the update to the pīnyīn &#39;corrections&#39; table can be
				made.</p>
		</div>
	</div>
	</form>
</body>
</html>
